html, body
{
    height:100%;
    width:100%;
    margin:0;
    padding:0;
}
.TopFloat
{
    z-index: 10;
    display: flex;
    position: fixed;
    top: 0;
    width: 100%;
    height: 100px;
    border-bottom: 3px solid rgba(68,2,2,0.83);
    align-items: center;
    background-color: rgba(0,0,0,0.85);
}
.TopFloat-Item01
{
    display: flex;
    justify-content: left;
    flex: 1;
    margin-left: 20px;
    font-size: 30px;
    font-weight: 700;
    font-family: cuprum;
    font-style: normal;
    letter-spacing: 2px;
    font-size: 48px;
    color: #DE3033;
}
.TopFloat-Item02
{
    display: flex;
    justify-content: left;
    flex: 2;
}
.TopFloat-Item03
{
    display: flex;
    justify-content: right;
    flex: 1;
    margin-right: 20px;
}
.TopFloat-Item04
{
    flex: 0.8;
    display: flex;
    align-items: center;
}
#SearchText
{
    width: 350px;
    height: 30px;
    border-left: thick;
    border-right: thick;
    border-bottom: medium solid rgba(174,0,2,0.42);
    border-top: thick;
    background-color: transparent;
    outline: none;
    color: #9C9C9C;
    font-family: cuprum;
    font-style: normal;
    font-weight: 700;
    font-size: 18px;
    line-height: 30px;
}
#SearchBtn
{
    width: 110PX;
    border-left: medium solid rgba(231,0,2,1.00);
    border-right: medium solid rgba(174,0,2,0.16);
    border-bottom: medium solid rgba(174,0,2,0.16);
    border-top: medium solid rgba(174,0,2,0.16);
    border-radius: 5px;
    height: 40px;
    background-color: rgba(117,0,0,0.22);
    font-weight: 700;
    font-size: 20px;
    margin-top: auto;
    margin-right: auto;
    margin-left: 15px;
    margin-bottom: auto;
    color: rgba(174,0,2,1.00);
}
#backgroundSetting {
    display: block;
    width: 98%;
    height: 100px;
    background-repeat: no-repeat;
    background-position: 50% 0%;
    background-size: 100% auto;
    background-attachment: fixed;
}

#UpgradeBtn
{
    width: 100PX;
    border-left: medium solid rgba(231,0,2,1.00);
    border-right: medium solid rgba(174,0,2,0.16);
    border-bottom: medium solid rgba(174,0,2,0.16);
    border-top: medium solid rgba(174,0,2,0.16);
    border-radius: 5px;
    height: 40px;
    background-color: rgba(117,0,0,0.22);
    font-weight: 700;
    font-size: 20px;
    margin-top: auto;
    margin-right: auto;
    margin-left: 15px;
    margin-bottom: auto;
    color: rgba(174,0,2,1.00);
}
.Search
{
    display: flex;
    position: relative;
    top: 120px;
    margin: auto;
    width: 98%;
    height: 100px;
    border-radius: 10px;
    background-color: rgba(27,0,0,0.78);
}
.MainTag
{
    flex: 1;
    display: flex;
    justify-content: center;
    flex-direction: column;
    color: rgba(168,0,1,1.00);
    margin-bottom: 9px;
    margin-top: 7px;
}
.TagForm
{
    flex: 5;
    display: flex;
}
.Tag
{
    flex: 3;
    display: flex;
    align-items: center;
}
.SearchTag
{
    flex: 1;
    display: flex;
    align-items: center;
    margin-left: 30px;
}
#TagSearchText
{
    width: 150px;
    height: 30px;
    border-left: thick;
    border-right: thick;
    border-bottom: medium solid rgba(174,0,2,0.16);
    border-top: thick;
    background-color: transparent;
    outline: none;
    color: rgba(174,0,2,1.00);
    font-family: cuprum;
    font-style: normal;
    font-weight: 700;
    font-size: 18px;
    line-height: 30px;
	
}
#TagSearchBtn
{
width: 50PX;
    border-left: medium solid rgba(231,0,2,1.00);
    border-right: medium solid rgba(174,0,2,0.16);
    border-bottom: medium solid rgba(174,0,2,0.16);
    border-top: medium solid rgba(174,0,2,0.16);
    border-radius: 5px;
    height: 35px;
    background-color: rgba(117,0,0,0.22);
    font-weight: 700;
    font-size: 14px;
    margin-top: auto;
    margin-right: auto;
    margin-left: 5px;
    margin-bottom: auto;
    color: rgba(174,0,2,1.00);
}
#MainTag
{
    width: 120px;
    height: 30px;
    margin: 5px 5px 5px 50px;
    border-radius: 5px;
    border: medium solid rgba(174,0,2,0.16);
    border-radius: 20px;
    background-color: rgba(117,0,0,0.22);
    font-weight: 700;
    font-size: 16px;
    margin-top: auto;
    margin-right: auto;
    margin-left: auto;
    margin-bottom: auto;
    color: rgba(174,0,2,1.00);
}
#Tag
{
    width: 100px;
    height: 30px;
    margin: 5px 5px 5px 50px;
    border-radius: 5px;
    border: medium solid rgba(174,0,2,0.16);
    border-radius: 20px;
    background-color: rgba(117,0,0,0.22);
    font-weight: 700;
    font-size: 16px;
    margin-top: 4px;
    margin-right: auto;
    margin-left: auto;
    margin-bottom: 4px;
    color: rgba(174,0,2,1.00);
}
.HotVideo
{
    position: relative;
    top: 150px;
    height: 280px;
    background-color: rgba(27,0,0,0.78);
    width: 1517px;
}
.HotVideoList
{
    display: flex;
    height: 70%;
    margin: 10px;
    background-color: rgba(27,0,0,0.78);
}
.NewVideo
{
    position: relative;
    top: 200px;
    height: 650px;
    background-color: rgba(27,0,0,0.78);
    width: 1517px;
}
.NewVideoList
{
    height: 90%;
    margin: 10px;
    background-color: rgba(27,0,0,0.78);
}
#VideoImg
{
    width: 250px;
    border-radius: 50px;
    height: 150px;
}
#Title
{
    margin-top: 20px;
    margin-right: 20px;
    margin-left: 25px;
    margin-bottom: 20px;
    font-size: 30px;
    color: #DE3033;
    font-weight: 700;
    position: relative;
    top: 15px;
}
.Foot
{
    position: relative;
    top: 200px;
    height: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(0,0,0,0.82);
    color: rgba(92,92,92,1.00);
    width: 1517px;
    font-weight: 700;
    font-family: cuprum;
    font-style: normal;
    font-size: 24px;
}
input::placeholder{
	color:gray;
}
figure
{
    text-align: center;
    margin: 15px;
}
figcaption
{
    color: rgba(184,184,184,0.87);
    font-size: 17px;
    font-family: Gotham, "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-weight: 600;
}

/* HIDE RADIO */
[type=radio] { 
    position: absolute;
    opacity: 0;
    width: 0;
    height: 0;
  }
  
  /* IMAGE STYLES */
  [type=radio] + img {
    cursor: pointer;
  }
  
  /* CHECKED STYLES */
  [type=radio]:checked + img {
    outline: 2px solid #f00;
    content: url('http://placehold.it/40x60/b0f/fff&text=B');
  }
  .button
  {
      margin: 5px;
  }
  #TagImg
  {
      width: 100px;
      height: 30px;
  }
  #UserName
  {
    color: rgba(167,167,167,1.00);
    font-size: 16px;
    font-weight: 400;
    font-family: cuprum;
    font-style: normal;
  }
  a:visited
  {
    color: #DE3033;
  }
  a{
    color: #DE3033;
    text-decoration-line: none;
  }
  #NoResult
  {
      position: relative;
      top: 10px;
      margin: 20px;
      font-size: 50px;
      color: mediumvioletred;
      font-weight: bold;
  }
  .Tag label {
    display: inline-block;
    background-color: rgba(120,6,8,0.38);
    text-align: center;
    width: 120px;
    padding-top: 5px;
    padding-bottom: 5px;
    font-size: 16px;
    border: 2px solid rgba(174,0,2,0.16);
    border-radius: 20px;
    color: rgba(209,11,15,1.00);
    font-family: Gotham, "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-weight: 700;
}
.Tag input[type="radio"]:checked + label {
    background-color: rgba(168,134,19,0.59);
    border-color: #E4B61A;
    color: rgba(207,137,22,1.00);
}
.Tag label:hover {
    border: 2px solid rgba(237,63,13,1.00);
    background-color: rgba(181,48,10,0.78);
  }
